com.dlsc.flexgantt.swing.treetable

## Interface ITreeTableCellEditor

- All Superinterfaces:
    CellEditor
  All Known Implementing Classes:
    DefaultTreeTableCellEditor, TreeTable.BooleanEditor, TreeTable.CalendarEditor, TreeTable.ColorEditor, TreeTable.DateEditor, TreeTable.EnumEditor, TreeTable.NumberEditor

      public interface ITreeTableCellEditor
      extends CellEditor

  An interface for objects that can be used as editors for values shown in the cells of a tree table. A cell editor needs to provide a component that will be placed inside the tree table cell so that the user can edit the cell value via the editor. The editor components gets added to the tree table container only for the duration of the editing operation. It will be removed once the user finishes or cancels the editing.
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann
  See Also:
    `TreeTable.setCellEditor(Class, ITreeTableCellEditor)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getTreeTableCellEditorComponent(TreeTable tree, Object value, boolean selected, int row, int column)` Returns the editor component that will be placed inside the cell so that the user can edit the cell's value.

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- - ### Method Detail

    - #### getTreeTableCellEditorComponent

          Component getTreeTableCellEditorComponent(TreeTable tree,
                                                    Object value,
                                                    boolean selected,
                                                    int row,
                                                    int column)

      Returns the editor component that will be placed inside the cell so that the user can edit the cell's value.
      Parameters:
        `tree` - the tree table component to which the editor component will be added
        `value` - the current value shown in the tree table cell
        `selected` - a flag that signals whether the row in which the cell is located is currently selected
        `row` - the row in which the cell is located
        `column` - the column in which the cell is located
      Returns:
        a component used for editing the value of the given tree table cell
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.